
#ifndef __UNICODEMAPPER_H
#define __UNICODEMAPPER_H

// possible formats for the Unicode mapping tables
typedef UShort	MapFormat;

typedef struct
{
	MapFormat	mapFormatID;
	long			tableSize;
	long			revision;
	long			tableInfo;

	void *		charCodes;
	UniChar *	startCodes;
	UniChar *	endCodes;
	SShort *		codeDeltas;
} EncodingMap;


typedef long (*ConvertFromUnicodeProcPtr) (const UniChar *, void *, void *, long);
typedef long (*ConvertToUnicodeProcPtr) (const void *, UniChar *, void *, long);

extern "C" {
Ref InstallCharsetFromUnicode(RefArg rcvr, RefArg data, RefArg charset);
Ref InstallCharsetToUnicode(RefArg rcvr, RefArg data, RefArg charset);
}

#endif /* __UNICODEMAPPER_H */
